# Tiny One Page

Part of Tiny Components, this is one of many Components for Frontend Development. It used the Framework [RiotJS v4](https://riot.js.org/).

This Component is a One Page Menu.

## Usage

```html
<tiny-one-page>
    <nav>
        <ul>
            <li><a href="#">Home</a></li>
            <li><a href="#">Blog</a></li>
            <li><a href="#">Contact</a></li>
        </ul>
    </nav>
</tiny-one-page>
```

## Animations

Use the Class TinyOnePageAnimate to create your own Animations. You can inject
your Animation Class while Mounting the Component.

```js
riot.mount('tiny-one-page', {
    'animate': new TinyOnePageHeightAnimate()
});
```

## Options

Easy, there is at this moment only one options for ScrollSmooth.

```js
riot.mount('tiny-one-page', {
    'options': {
        'offset': 50
    }
});
```
