import * as riot from 'riot';
import TinyOnePage from './src/TinyOnePage.riot';
import TinyOnePageHeightAnimate from './src/TinyOnePageHeightAnimate.js';

riot.register('tiny-one-page', TinyOnePage);

// adding component with animate object
riot.mount('tiny-one-page', {
    'animate': new TinyOnePageHeightAnimate(),
    'options': {
        'offset': 70
    }
});
